# LOG

NAME
LOG - write interactive commands into the log file.
SYNOPSIS
LOG file_name
LOG OFF
DESCRIPTION
Use this command to log your garlic session into the specified file. The log file may be modified later and used as garlic script. LOG OFF closes the log file and stops logging.
NOTES
(1) If you logged the entire garlic session and want to use your log file as script, do not forget to remove the keyword QUIT (EXIT) which was used to end the garlic session!
(2) Lines which have # in the first column are treated as comments. Empty lines are ignored.
(3) Use PAUSE to pause the program execution. This is useful if preparing lecture or presentation, otherwise the script will run till the end without stopping.
(4) You can start and stop logging at any moment during your garlic session. Do not use the same log file name twice if you want to keep the old file - it will be overwritten.
RELATED COMMANDS
Exe executes the garlic script. PAUSE pauses the script execution.